import { Plugin } from 'vite';
import { Types } from '@graphql-codegen/plugin-helpers';
export interface Options {
    /**
     * Run codegen when the server starts.
     * @defaultValue `true`
     */
    runOnStart?: boolean;
    /**
     * Run codegen on builds.
     * @defaultValue `true`
     */
    runOnBuild?: boolean;
    /**
     * Enable codegen integration with vite file watcher.
     * @defaultValue `true`
     */
    enableWatcher?: boolean;
    /**
     * Manually define the codegen config.
     */
    config?: Types.Config;
    /**
     * Override codegen configuration just for this plugin.
     */
    configOverride?: Partial<Types.Config>;
    /**
     * Override the codegen configuration file path.
     */
    configFilePathOverride?: string;
    /**
     * Log various steps to aid in tracking down bugs.
     * @defaultValue `false`
     */
    debug?: boolean;
}
export default function VitePluginGraphQLCodegen(options?: Options): Plugin;
